<?php

namespace App\JsonRpc;

class UserServiceInterface_73257ec18239bcd5d672e95ad562f189 extends \Hyperf\RpcClient\Proxy\AbstractProxyService implements UserServiceInterface
{
    /**
     * @param array $data
     */
    public function createUser(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param int $id
     */
    public function getUserInfo(int $id)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @param array $data
     * @return array
     */
    public function verifyUserInfo(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * @remark 创建登录日志信息
     * @param array $data
     * @return array
     */
    public function createUserLogin(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * 更新用户信息
     * @param array $data
     * @return array
     */
    public function updateUser(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * 更新用户
     * @param array $data
     * @return array
     */
    public function updateUserInfo(array $data)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
    /**
     * 删除用户
     * @param int $id
     * @return array
     */
    public function delUser(int $id)
    {
        return $this->client->__call(__FUNCTION__, func_get_args());
    }
}